org.eclipse.microprofile.reactive.messaging.tck.signatures.publishers

## Class PublisherShapeTest

- java.lang.Object
- - org.eclipse.microprofile.reactive.messaging.tck.TckBase
  - - org.eclipse.microprofile.reactive.messaging.tck.signatures.publishers.PublisherShapeTest

    public class PublisherShapeTest
    extends TckBase

### Field Summary

### Fields inherited from class org.eclipse.microprofile.reactive.messaging.tck.TckBase

`EXECUTOR`

### Constructor Summary

Constructors
Constructor and Description
`PublisherShapeTest()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static org.jboss.shrinkwrap.api.Archive<org.jboss.shrinkwrap.api.spec.JavaArchive>` `deployment()`
`void` `verifyPublisherSignatures()`

### Methods inherited from class org.eclipse.microprofile.reactive.messaging.tck.TckBase

`getBaseArchive`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PublisherShapeTest

    public PublisherShapeTest()

### Method Detail

#### deployment

    @Deployment
    public static org.jboss.shrinkwrap.api.Archive<org.jboss.shrinkwrap.api.spec.JavaArchive> deployment()

#### verifyPublisherSignatures

    public void verifyPublisherSignatures()